log4c_logging_event_t Struct Reference

logging event object More...

`#include <logging_event.h>`

## Detailed Description

logging event object

Attributes description:

- `evt_category` category name.
- `evt_priority` priority of logging event.
- `evt_msg` The application supplied message of logging event.
- `evt_buffer` a pre allocated buffer to be used by layouts to format in a multi-thread environment.
- `evt_rendered_msg` The application supplied message after layout format.
- `evt_timestamp` The number of seconds elapsed since the epoch (1/1/1970 00:00:00 UTC) until logging event was created.
- `evt_loc` The event's location information

The documentation for this struct was generated from the following file:

- logging_event.h